Name:		rosa-launcher
Version:	0.34.12
Release:	1
Epoch:		1
Summary:	ROSA Desktop Application Launcher
Group:		Graphical desktop/KDE
License:	GPLv3
URL:		http://www.rosalab.ru/
Source0:	%{name}-%{version}.tar.gz

Requires:	kdebase4-workspace
BuildRequires:	kdebase4-workspace-devel
BuildRequires:	kdebase4-devel

%description
ROSA Desktop Application Launcher

%files -f ROSA_Launcher.lang
%{_kde_bindir}/rosa-launcher
%{_kde_libdir}/kde4/plasma_applet_rosa-launcher.so
%{_kde_datadir}/kde4/services/plasma-applet-rosa-launcher.desktop

%{_kde_libdir}/kde4/plasma_applet_rosastarter.so
%{_kde_datadir}/kde4/services/plasma-applet-rosastarter.desktop

%{_kde_libdir}/kde4/plasma_runner_rosa_services.so
%{_kde_datadir}/kde4/services/plasma-runner-rosa-services.desktop

%{_kde_datadir}/icons/rosa/apps/128/rosalauncher.png
%{_kde_datadir}/apps/rosa-launcher/*

%prep
%setup -q
find -name \*.h -o -name \*.cpp -o -name \*.desktop | xargs chmod 644

%build
%make build

%install
%makeinstall_std

%ifarch x86_64
mv %{buildroot}/usr/lib %{buildroot}/usr/lib64
%endif
find %{buildroot}%{_localedir} -name \*.po* -delete

%find_lang ROSA_Launcher


%changelog
* Wed Jun 27 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:0.34.12-1
+ Revision: 807261
- fix file permissions
- cleanups
- do not package gettext .po files
- package locale files properly with the help of %%find_lang
- new version

* Fri Feb 03 2012 Ural Mullabaev <mur@mandriva.org> 1:0.34.9-1
+ Revision: 770830
- Fixed KDE 4.8.0 crop bug

* Thu Jan 26 2012 Aleksey Ermakov <kuraisu@mandriva.org> 1:0.34.8-1
+ Revision: 769003
- Added functionality to launch Entry points to non local urls.

* Sat Jan 07 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.34.6-3
+ Revision: 758588
- Rebuild against new kde

* Tue Jan 03 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.34.6-2
+ Revision: 748761
- Rebuild against new KDE

* Mon Dec 19 2011 Aleksey Ermakov <kuraisu@mandriva.org> 1:0.34.6-1
+ Revision: 743701
- Fixed bug with TimeFrame which considered iso-image to be a video.

* Thu Dec 08 2011 Aleksey Ermakov <kuraisu@mandriva.org> 1:0.34.5-1
+ Revision: 738961
- Added scroll position reset for Applications tab on tab change.

* Thu Dec 08 2011 Aleksey Ermakov <kuraisu@mandriva.org> 1:0.34.4-1
+ Revision: 738872
- Fixed glitched icons in Recent Applications after application removal.

* Tue Dec 06 2011 Aleksey Ermakov <kuraisu@mandriva.org> 1:0.34.2-1
+ Revision: 738100
- Fixed content repositioning due to scrollbar hiding on tab change.

* Fri Dec 02 2011 Aleksey Ermakov <kuraisu@mandriva.org> 1:0.34.1-1
+ Revision: 737181
- Reversed back use of Epoch.
- Implemented own instance of Plasma::ScrollWidget class with fixes.

* Fri Nov 25 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:0.32-4
+ Revision: 733290
- rebuild against new kde

* Wed Oct 19 2011 Ural Mullabaev <mur@mandriva.org> 1:0.32-3
+ Revision: 705386
- Added epoch to the spec file
- Removed requirement for qt4 from spec file

* Wed Oct 19 2011 Ural Mullabaev <mur@mandriva.org> 0.32-2
+ Revision: 705372
- Added requirement qt>=4.7.4 to the spec file

* Mon Oct 03 2011 Ural Mullabaev <mur@mandriva.org> 0.32-1
+ Revision: 702624
- Fixed group labels disappearance when new Places shortcut added.
  Ported ROSA Starter applet from Python to C++.
  Added contraction of the names in the "Recent Documents" section.
  Fixed shifting of the icons when tab changed to the Welcome.
  Fixed adding empty shotcuts to the "Recent Applications" section.
  Added Drag-and-Drop mechanism for items in the results of searching.

* Fri Sep 09 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.30.15-1
+ Revision: 699125
- Fixed bug with crash when launching from Welcome tab not with hack but with finished solution.

* Wed Sep 07 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.30.13-1
+ Revision: 698520
- Fixed bug with crash when launching from Welcome tab.

* Sat Aug 27 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.30.12-1
+ Revision: 697250
- Fixed empty Recent Applications crash bug.

* Wed Aug 24 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.30.10-1
+ Revision: 696509
- Fixed 3 search bugs.

* Tue Aug 23 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.30.8-1
+ Revision: 696250
- Added python-dbus dependency.

* Mon Aug 22 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.30.7-1
+ Revision: 696128
- Fixed icons reposition on tab change.
  Updated TimeFrame.

* Fri Aug 12 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.30.4-1
+ Revision: 694139
- Added keyboard input.
  Updated TimeFrame.

* Mon Jul 25 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.29.3-1
+ Revision: 691600
- Added feature: saving launched apps from search query to Recent Apps

* Mon Jul 25 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.29.2-1
+ Revision: 691528
- Removed unnecessary debug messages which flooded ~/.xsession-errors

* Fri Jul 22 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.29.1-1
+ Revision: 691085
- Added new lock and shutdown buttons.
  Updated TimeFrame.

* Thu Jul 21 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.28.9-1
+ Revision: 690866
- Added tooltip for ROSA Starter.
  Added correct icons for ROSA Starter and ROSA Launcher plasma applets.
  Cleaned some debug messages.

* Mon Jul 11 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.28.5-1
+ Revision: 689604
- Added manual redraw on size update for ROSA Starter to circumvent Plasma Panel bug.
  Changed default user icon to system one.
  TimeFrame updated.

* Mon Jul 04 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.28.2-1
+ Revision: 688688
- TimeFrame updated.

* Wed Jun 29 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.28.1-1
+ Revision: 688245
- Updated TimeFrame with fixes of memory leaks.

* Tue Jun 28 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.28-1
+ Revision: 687815
- Fixed all found memory leaks. Timeframe updated.

* Mon Jun 27 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.27-1
+ Revision: 687421
- Timeframe updated. Username label made bigger.

* Tue Jun 21 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.26-1
+ Revision: 686538
- New installed applications correctly shown in Applications tab.
- New installed applications correctly shown in Applications tab.

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Clean spec file

* Thu Jun 16 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.25-1
+ Revision: 685681
- Updated TimeFrame in SimpleWelcome codebase.
- Updated TimeFrame in SimpleWelcome codebase.

* Tue Jun 07 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.23.3-1
+ Revision: 683066
- Searchbar fixes

* Fri Jun 03 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.23.2-1
+ Revision: 682644
- Updated TimeFrame

* Tue May 31 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.22.5-1
+ Revision: 682087
- Updated russian and portuguese localizations

* Mon May 30 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.22.3-2
+ Revision: 681969
- First release of TimeFrame

* Wed May 25 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.20.2-2
+ Revision: 679081
- clean again and again the spec file as ppl does not know
  how to use SVN.
  More cleaning
  	- Remove the changelog from the spec file
  	- Fix package Layout

* Wed May 25 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.20.2-1
+ Revision: 678967
- Implemented application search functionality

* Fri May 20 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.18.2-2
+ Revision: 676301
- More cleaning
  	- Remove the changelog from the spec file
  	- Fix package Layout
- Clean spec file
- Fix release
- REUSE rpm macros

* Thu May 19 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.18.2-1
+ Revision: 676201
- Fix firefix run problem. Add KRun mechanizm

* Fri Apr 29 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.17.1-2
+ Revision: 660593
- Use rpm macros

  + Aleksey Ermakov <kuraisu@mandriva.org>
    - Added Drag n Drop

* Thu Apr 14 2011 Alex Burmashev <burmashev@mandriva.org> 0.16.1-1
+ Revision: 652979
- update

* Mon Apr 11 2011 Alex Burmashev <burmashev@mandriva.org> 0.15.4-1
+ Revision: 652629
- source and spec change
- build as noarch
- build requires fix
- import rosa-launcher

